# MCP Reference: Android Device Management MCP Server

A [Model Context Protocol (MCP) server](https://modelcontextprotocol.io/docs/learn/server-concepts) acts as a proxy between an external service that provides context, data, or capabilities to a Large Language Model (LLM) or AI application. MCP servers connect AI applications to external systems such as databases and web services, translating their responses into a format that the AI application can understand.

### Server Setup


You must [enable MCP servers](https://docs.cloud.google.com/mcp/enable-disable-mcp-servers) and [set up authentication](https://docs.cloud.google.com/mcp/authenticate-mcp) before use. For more information about using Google and Google Cloud remote MCP servers, see [Google Cloud MCP servers overview](https://docs.cloud.google.com/mcp/overview).

Provides tools to manage Android devices, applications, and policies for enterprises.

### Server Endpoints

An MCP service endpoint is the network address and communication interface (usually a URL) of the MCP server that an AI application (the Host for the MCP client) uses to establish a secure, standardized connection. It is the point of contact for the LLM to request context, call a tool, or access a resource. Google MCP endpoints can be global or regional.

The Android Device Management MCP Server MCP server has the following MCP endpoint:

- https://androidmanagement.googleapis.com/mcp

## MCP Tools

An [MCP tool](https://modelcontextprotocol.io/legacy/concepts/tools) is a function or executable capability that an MCP server exposes to a LLM or AI application to perform an action in the real world.

The Android Device Management MCP Server MCP server has the following tools:

| MCP Tools ||
|---|---|
| [get_enterprise](https://developers.google.com/android/management/reference/mcp/get_enterprise) | Gets an enterprise for a given enterprise ID. Requires the enterprise ID in the name field (e.g., enterprises/{enterpriseId}). |
| [list_enterprises](https://developers.google.com/android/management/reference/mcp/list_enterprises) | Lists enterprises accessible to the caller. |
| [get_application](https://developers.google.com/android/management/reference/mcp/get_application) | Gets application details for a given enterprise and application ID. Requires the resource name in the format: enterprises/{enterpriseId}/applications/{applicationId}. |
| [get_device](https://developers.google.com/android/management/reference/mcp/get_device) | Gets device details for a given enterprise and device ID. Requires the resource name in the format: enterprises/{enterpriseId}/devices/{deviceId}. |
| [list_devices](https://developers.google.com/android/management/reference/mcp/list_devices) | Lists devices for a given enterprise. Requires the enterprise ID in the parent field (e.g., enterprises/{enterpriseId}). |
| [get_policy](https://developers.google.com/android/management/reference/mcp/get_policy) | Gets a policy for a given enterprise and policy ID. Requires the resource name in the format: enterprises/{enterpriseId}/policies/{policyId}. |
| [list_policies](https://developers.google.com/android/management/reference/mcp/list_policies) | Lists policies for a given enterprise. Requires the enterprise resource name in the parent field (e.g., enterprises/{enterpriseId}). |
| [get_web_app](https://developers.google.com/android/management/reference/mcp/get_web_app) | Gets a web app. Requires the resource name in the format: enterprises/{enterpriseId}/webApps/{webAppId}. |
| [list_web_apps](https://developers.google.com/android/management/reference/mcp/list_web_apps) | Lists web apps for a given enterprise. Requires the enterprise resource name in the parent field (e.g., enterprises/{enterpriseId}). |

### Get MCP tool specifications


To get the MCP tool specifications for all tools in an MCP server, use the `tools/list` method. The following example demonstrates how to use `curl` to list all tools and their specifications currently available within the MCP server.

| Curl Request |
|---|
| ```bash curl --location 'https://androidmanagement.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/list", "jsonrpc": "2.0", "id": 1 }' ``` |